Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ProtoPaletteUI Class Reference
Inheritance diagram for ProtoPaletteUI:

## Public Member Functions
| __init__ (self, parent, editor)
| addNewItem (self, result)
| AquireFile (self, filename)
| compareItems (self, item1, item2)
| menuAppendGenItems (self)
| menuAppendSelItems (self)
| OnBeginLabelEdit (self, event)
| OnEndLabelEdit (self, event)
| onPopupItemSelected (self, event)
| onShowPopup (self, event)
| populate (self)

## Public Attributes
| addNewItem
| editor = editor
str | editorTxt = "Proto Objects Editor"
| menuItemsGen = list()
| menuItemsSel = list()
| OnBeginLabelEdit = wx.BoxSizer(wx.VERTICAL)
| OnEndLabelEdit
| onPopupItemSelected = self.popupmenu.Append(-1, item)
| onShowPopup
str | opAdd = "Add Group"
str | opDelete = "Delete"
str | opSort = self.opSortOrig
str | opSortAlpha = "Sort Alphabetical Order"
str | opSortOrig = "Sort Original Order"
| palette = self.editor.protoPalette
| popupmenu = wx.Menu()
| tree = PaletteTreeCtrl(self, treeStyle=wx.TR_EDIT_LABELS|wx.TR_DEFAULT_STYLE, rootName="Proto Objects")

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent,
|  |  | editor )

## Member Function Documentation

## ◆ addNewItem()

addNewItem | ( |  | self,
|  |  | result )

## ◆ AquireFile()

AquireFile | ( |  | self,
|  |  | filename )

## ◆ compareItems()

compareItems | ( |  | self,
|  |  | item1,
|  |  | item2 )

## ◆ menuAppendGenItems()

menuAppendGenItems | ( |  | self | ) |

## ◆ menuAppendSelItems()

menuAppendSelItems | ( |  | self | ) |

## ◆ OnBeginLabelEdit()

OnBeginLabelEdit | ( |  | self,
|  |  | event )

## ◆ OnEndLabelEdit()

OnEndLabelEdit | ( |  | self,
|  |  | event )

## ◆ onPopupItemSelected()

onPopupItemSelected | ( |  | self,
|  |  | event )

## ◆ onShowPopup()

onShowPopup | ( |  | self,
|  |  | event )

## ◆ populate()

populate | ( |  | self | ) |

## Member Data Documentation

## ◆ addNewItem

addNewItem

## ◆ editor

editor = editor

## ◆ editorTxt

editorTxt = "Proto Objects Editor"

## ◆ menuItemsGen

menuItemsGen = list()

## ◆ menuItemsSel

menuItemsSel = list()

## ◆ OnBeginLabelEdit

OnBeginLabelEdit = wx.BoxSizer(wx.VERTICAL)

## ◆ OnEndLabelEdit

OnEndLabelEdit

## ◆ onPopupItemSelected

onPopupItemSelected = self.popupmenu.Append(-1, item)

## ◆ onShowPopup

onShowPopup

## ◆ opAdd

opAdd = "Add Group"

## ◆ opDelete

opDelete = "Delete"

## ◆ opSort

str opSort = self.opSortOrig

## ◆ opSortAlpha

opSortAlpha = "Sort Alphabetical Order"

## ◆ opSortOrig

opSortOrig = "Sort Original Order"

## ◆ palette

palette = self.editor.protoPalette

## ◆ popupmenu

popupmenu = wx.Menu()

## ◆ tree

tree = PaletteTreeCtrl(self, treeStyle=wx.TR_EDIT_LABELS|wx.TR_DEFAULT_STYLE, rootName="Proto Objects")